% Networking
%% See README.writers

%% Start here:
%% Copyright 2013 Your name
%% License: CC-BY-SA-3.0
% \section{Title of your writings}
% \person{Your name}% Networking
%% See README.writers

%% Start here:
%% Copyright 2014 Axel Beckert <abe@debian.org>
%% License: CC-BY-SA-3.0
\section{Network}
\person{Axel Beckert}

Debconf wouldn't function well without a good network for the
participants to rely on.

\subsection{Connectivity}

Le Camp has fibre connection operated by
\href{http://www.video2000.ch/}{Vidéo 2000}, based in Neuchâtel. The
fibre connection is part of UPC Cablecom's network and is geared for
connection up 1 GBit/s but throttled by the carrier to 100 MBit/s on
the far side.

Vidéo 2000 provided us two /22, one /27 and one /29 public IPv4
ranges -- which was more than we requested. They also reconfigured
the local wireless access points to sport an ESSID called DebConf.

IPv6 connectivity came via an 6to4 tunnel to a Debian machine hosted
at Man-Da.

\subsection{Local Servers and Network Configuration}

We had two local 2U servers built and provided by
\href{http://www.dalco.ch/}{Dalco}, each with 32 GB of RAM, 4 * 4TB
disks, hardware RAID and two quad-core CPUs.

Both machines were setup as Xen Dom0 servers and ran multiple virtual
machines.

One of them (named \texttt{homer}) was used as DNS and DHCP server
(for the wired network as well as for DebConf's own wireless network),
router, and local debian mirror. The other one (named
\texttt{storage1}) was exclusively used by the Video Team as temporary
storage for the recordings as well as for encoding and local streaming
-- the latter was setup in a virtual machine named
\texttt{localstream1}.

Additionally, Philipp Hug provided two 1U servers which were used as
cluster nodes for Thomas Goirand's OpenStack workshop. The OpenStack
controller named \texttt{osc} was running as virtual machine on
\texttt{homer}.

As server room we used Le Camp's laundry and janitor depot room in the
lower floor of Rotonde. This is also where there uplink ends.

\subsection{Local Network Infrastructure}

Le Camp sports a quite impressive local network infrastructure
including wired network connections between approximately one third of
all buildings and a Cisco-based wireless mesh network reaching all
other buildings. All Cisco switches on-site offered Power over
Ethernet (PoE) and allowed us much easier placement of further
switches and wireless access points. All switches belonging to the
local infrastructure were managed and supported VLAN tagging.

Besides Rotonde as main network hub, there are network switches and
RJ45 wall sockets in main building (Bâtiment Principal) as well as in
Passerelle and Carré. Except in the latter two buildings, all local
switches were Cisco switches. Passerelle and Carré sported each one
``Blackbox'' branded switch which didn't provide PoE on its ports.

Nevertheless the local network infrastructure had its drawbacks which
came to daylight when the uplink was used up close to the throtteled
limit, e.g. during mirror syncs -- which we later throttled to 10
MBit/s. The controller for the wireless access points as well as the
DHCP and DNS servers for all machines connected to them is sitting
behind the uplink in Neuchâtel. The above mentioned throttling caused
package loss, and especially non-TCP traffic like DHCP or DNS requests
were often lost.

\subsection{Our own Wireless Network}

Since all traffic from and to the local wireless infrastructure was
routed to Neuchâtel on layer 2, we were not able to use our own DHCP
and DNS server for that network, hence we could not work around the
DHCP and DNS issues caused by the uplink throttling.

So we set up a second wireless infrastructure based on the
\href{http://www.cccmz.de/}{Chaos Computer Club Mainz/Wiesbaden}'s
Ubiquity based \href{https://eventwlan.cccmz.de/}{EventWLAN} (System
I) hardware, but with our own controller running on a virtual machine
(named \texttt{wlc}) on \texttt{homer}.

All the Ubiquity hardware could be powered by PoE, hence it sufficed
to just pull a long ethernet cable and we didn't have to care for
weather-safe 230V power lines.

Partially we had to use PoE injectors, either because of different PoE
voltage was needed or because we had to chain PoE-powered equipment.

Inside buildings we were not allowed to hammer nails into walls or
wooden beams, so we used pillow slips and cable ties to mount our own
access points.

\subsection{Our own Wired Network}

Since two of the hacklabs were only reachable via the local wireless
mesh network, we used multiple 70m twisted pair cables and PoE-powered
HP ProCurve switches (provided by Philipp Hug, too) to get wired
networking into the buildings Zwingli (balcony hacklab), No. 8
(DebCamp hacklab) and No. 5 (own wireless access point for the lower
buildings).

\subsection{Talk Rooms}

The smaller talk room was no issue as it was in Rotonde and had enough
RJ45 sockets which we were able to patch as necessary.

The main talk room in Bâtiment Principal was less easier. There were
only two free RJ 45 wall sockets in the main talk room, one at each
end, all others were needed by the local wireless access points.

We needed at least two different networks (participants network and
video team network) in the main talk room, so this seemed to suffice
in the beginning. But we couldn't find the other end of the socket
close to the speaker on the patch panel -- we finally found out that
this socket wasn't connected to the normal infrastructure and could
not be used at all.

So we only had one socket left, but needed two different
networks. Vidéo 2000 kindly patched ``trunk'' on that socket, so that
we could use one of our HP ProCurve switches and configure different
VLANs on its ports.

Hence we had to pull long cables from the left back of the talk room
to the right middle (where the video had its equipment) and further to
the speaker. We mounted the cable to wooden beams of the ceiling
structure of the room, but at some point we seem to have damaged it in
a way so that the cable tester said that the cable is fine, but
network didn't work. Took a while until we decided to exchange the
cable by pulling a second cable along a wooden beam at the ceiling,
but it helped. Conclusion: Cable testers don't seem to test
everything.
